- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# onyx_igmp_interface – Configures IGMP interface parameters

New in version 2.8.

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module provides declarative management of IGMP interface configuration on Mellanox ONYX network devices.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
name - / required |  | interface name that we want to configure IGMP on it
state - | Choices: enabled ← disabled | IGMP Interface state.

## Notes

Note

- Tested on ONYX 3.6.8130

## Examples

    - name: configure igmp interface
      onyx_igmp_interface:
        state: enabled
        name: Eth1/1

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
commands list | always | The list of configuration mode commands to send to the device. Sample: ['interface ethernet 1/1 ip igmp snooping fast-leave']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Anas Badaha (@anasb)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.